<?php
/**
 * Reset options
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */

/**
* Reset section
*/
// Add reset enable section
$wp_customize->add_section( 'pushpa_reset_section',
	array(
		'title'             => esc_html__('Reset all settings','pushpa'),
		'description'       => esc_html__( 'Caution: All settings will be reset to default. Refresh the page after clicking Save & Publish.', 'pushpa' ),
	)
);

// Add reset enable setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[reset_options]',
	array(
		'default'           => $options['reset_options'],
		'sanitize_callback' => 'pushpa_sanitize_checkbox',
		'transport'			=> 'postMessage',
	)
);

$wp_customize->add_control( 'pushpa_theme_options[reset_options]',
	array(
		'label'             => esc_html__( 'Check to reset all settings', 'pushpa' ),
		'section'           => 'pushpa_reset_section',
		'type'              => 'checkbox',
	)
);
